---
docs:
articles:
samples:
--- |
    This artifact, as the name suggests, contains the common classes for the
    Jetpack Navigation component. In it, you will find classes like
    `NavArgs`, `NavGraph`, and so on.

    Generally, you will not need to depend on this artifact directly. Your
    app will depend on higher-level artifacts, such as [`navigation-runtime`](../navigation-runtime/),
    which will pull in this artifact via transitive dependencies.
        
    See [the `navigation-runtime` page](../navigation-runtime) for more resources
    related to the Navigation component.
